<div style="margin-bottom:10px;">
    <button class="btn btn-primary btn-block" (click)="refine()">
        <i class="fa fa-refresh" aria-hidden="true"></i> Refine
    </button>
</div>
<p-dataList [value]="salesUnitRequirements" [paginator]="true" [rows]="10" [lazy]="true" (onLazyLoad)="loadDataLazy($event)" [totalRecords]="queryCount" [trackBy]="trackId">
    <p-header>
        List of VSO Draft
    </p-header>
    <ng-template let-salesUnitRequirement pTemplate="item">
        <div class="ui-g ui-fluid border-item">
            <div class="ui-g-12 ui-md-12">No VSO : {{salesUnitRequirement.requirementNumber}}</div>
            <div class="ui-g-12 ui-md-12" style="font-weight:600">
                Bpk / Ibu {{salesUnitRequirement.customerName}}
            </div>
            <div class="ui-g-12 ui-md-12">
                <span>{{salesUnitRequirement.productName | Message : 'motor'}}</span> - <span>{{salesUnitRequirement.colorDescription | Message : 'color'}}</span>
            </div>
            <div class="ui-g-12 ui-md-12" *ngIf="keterangan === 'indent'">
                <button (click)="backOrder(salesUnitRequirement);" class="btn btn-primary btn-lg btn-block">
                    <i class="fa fa-paper-plane-o"></i> Back Order
                </button>
            </div>
        </div>
    </ng-template>
</p-dataList>

<p-confirmDialog></p-confirmDialog>